Skip to main content
GET
/
networks
/
couponcodes
/
{couponCodeId}
Get Coupon Code by ID
curl --request GET \
  --url https://api.eflow.team/v1/networks/couponcodes/{couponCodeId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_coupon_code_id": 123,
  "network_id": 123,
  "network_affiliate_id": 123,
  "network_offer_id": 123,
  "coupon_code": "<string>",
  "coupon_status": "active",
  "internal_notes": "<string>",
  "description": "<string>",
  "is_description_plain_text": true,
  "start_date": "<string>",
  "end_date": "<string>",
  "time_created": 123,
  "time_saved": 123
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

couponCodeId
integer
required

The coupon code ID.

Response

200 - application/json

OK

network_coupon_code_id
integer

Unique coupon code ID.

network_id
integer

Network ID.

network_affiliate_id
integer

The associated affiliate ID.

network_offer_id
integer

The associated offer ID.

coupon_code
string

The coupon code value.

coupon_status
enum<string>

Status of the coupon code.

Available options:
active,
paused
internal_notes
string

Internal-only notes (not visible to partners).

description
string

Partner-visible description of the coupon.

is_description_plain_text
boolean

Whether the description is plain text or HTML.

start_date
string

Start date for coupon validity (format: YYYY-MM-DD).

end_date
string

End date for coupon validity (format: YYYY-MM-DD).

time_created
integer

Unix timestamp of creation.

time_saved
integer

Unix timestamp of last update.